# Generated from git-ds-0.9.8.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name git-ds

Name: rubygem-%{gem_name}
Version: 0.9.8.6.1
Release: 1%{?dist}
Summary: Git-DS
License: GPLv3
URL: http://rubyforge.org/projects/git-db
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
A hierarchical datastore based on Git.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/README
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/doc
%{gem_instdir}/tests

%changelog
* Tue Apr 19 2022 mockbuilder - 0.9.8.6.1-1
- Initial package
